package com.huimv.admin.repo.primary;

import com.huimv.admin.domain.primary.DaJqda;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;
import java.util.Map;

public interface DaJqdaRepository extends JpaRepository<DaJqda, Integer>, JpaSpecificationExecutor<DaJqda> {

    String findJQIDByZSID(Integer zsId);

    DaJqda findAllByZSID(Integer zsId);
}